#
# spec file for package perl-XML-SAX
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-XML-SAX
Version:        1.02
Release:        2.3
%define cpan_name XML-SAX
Summary:        Simple API for XML
License:        GPL-1.0-or-later OR Artistic-1.0
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/XML-SAX
Source0:        https://cpan.metacpan.org/authors/id/G/GR/GRANTM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
Patch0:         perl-XML-SAX-0.96-utf8.diff
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(XML::NamespaceSupport) >= 0.03
BuildRequires:  perl(XML::SAX::Base) >= 1.05
Requires:       perl(XML::NamespaceSupport) >= 0.03
Requires:       perl(XML::SAX::Base) >= 1.05
%{perl_requires}

%description
XML::SAX is a SAX parser access API for Perl. It includes classes and APIs
required for implementing SAX drivers, along with a factory class for
returning any SAX parser installed on the user's system.

%prep
%autosetup -p0 -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# MANUAL
touch %{buildroot}%{perl_vendorlib}/XML/SAX/ParserDetails.ini
echo "%ghost %{perl_vendorlib}/XML/SAX/ParserDetails.ini" >> perl-XML-SAX.files
# MANUAL/
%perl_process_packlist
%perl_gen_filelist

# MANUAL BEGIN
%post
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()"
# MANUAL END

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Jun 17 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- update to 1.02
  see /usr/share/doc/packages/perl-XML-SAX/Changes
  1.02  14 Jun 2019  Grant McLean
  - Spelling fixes (patch from Ville Skyttä)
  - Add repo location to metadata (patches from Ville Skytta & Martin McGrath)
  - Reorganise module files under lib/XML
  - Regenerate MANIFEST using 'make manifest' to include missing test files
- Updated URL to MetaCPAN
- Rebased perl-XML-SAX-0.96-utf8.diff
* Thu Jul 19 2018 coolo@suse.com
- Install a %%ghost ParserDetails.ini and add pureperl to it
* Fri Feb 16 2018 coolo@suse.com
- updated to 1.00
  see /usr/share/doc/packages/perl-XML-SAX/Changes
  1.00  15 Feb 2018  Grant McLean
  - Add makefile dependency to fix order of build steps RT#62289 (patch from
    Ed J)
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Mon Sep 12 2011 vcizek@suse.com
- licence correction to same as Perl
- update to 0.99
  - functionally identical to 0.96
  - requires XML::SAX::Base (not bundled within since 0.99)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Jan 15 2009 anicka@suse.cz
- add patch fixing utf8 parsing (bnc#459794)
* Thu Jan 15 2009 anicka@suse.cz
- enable testsuite (bnc#466010)
* Wed Sep 10 2008 anicka@suse.cz
- update to 0.96
  * Fix handling of numeric character entities in attribute
  values
  * Fix for numeric character entities spanning end of buffer
  * Performance fix for parsing from large strings
  * Fix for UTF8 bytes in first 4096 bytes of document not being
  decoded to Perl-UTF8-characters
  * incorrect operator precedence breaks single quotes around
  DTD entity declarations
  * Fix test in ParserFactory.pm for parser module loaded
  * Fix XML::SAX::PurePerl versioning
* Fri Dec 14 2007 anicka@suse.cz
- update to 0.16
  * Applied patch for PI handling from RT#19173
  * Fixed handling of entities in attribute values
  * Cleaned up some benign warnings
  * Fixed CDATA section parsing
  * Fix Makefile.PL for VMS
  * Support calling set_handler() mid-parse
  * Fix for when random modules overload UNIVERSAL::AUTOLOAD()
  * Fix case when ParserDetails.ini isn't being updated but
  we are doing an upgrade.
  * Complete re-write of XML::SAX::PurePerl for performance
  * Support Encoding & XMLVersion in DocumentLocator interface
  * A few conformance tweaks to match perl SAX 2.1.
* Fri Jun  1 2007 coolo@suse.de
- remove libxml2-test from buildrequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 15 2004 ro@suse.de
- added perl-XML-NamespaceSupport to nfb and requires
* Thu Jul 29 2004 ro@suse.de
- initial version 0.12
